<?php

namespace Database\Seeders;

use App\Models\Concepto;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class ConceptoSeeder extends Seeder
{

    public function run(): void
    {
        Concepto::create([
            'name' => 'SEGURO',
            'fecha_pago' => '2026-01-01',
            'monto' => '0',
            'tipo' => '3',
            'recargo' => '0'
        ]);
        Concepto::create([
            'name' => 'COLEGIATURA',
            'fecha_pago' => '2026-01-01',
            'monto' => '0',
            'tipo' => '3',
            'recargo' => '0'
        ]);

        Concepto::create([
            'name' => 'INSCRIPCIÓN',
            'fecha_pago' => '2026-01-01',
            'monto' => '0',
            'tipo' => '3',
            'recargo' => '0'
        ]);
        Concepto::create([
            'name' => 'REINSCRIPCIÓN',
            'fecha_pago' => '2026-01-01',
            'monto' => '0',
            'tipo' => '3',
            'recargo' => '0'
        ]);

        $concepto1=Concepto::create([
            'name' => '1',
            'fecha_pago' => '2026-01-01',
            'monto' => '165',
            'tipo' => '1',
            'recargo' => '0'
        ]);

        $concepto1->planConceptos()->sync([1]);

        $concepto2=Concepto::create([
            'name' => '3',
            'fecha_pago' => '2026-01-01',
            'monto' => '1331',
            'tipo' => '1',
            'recargo' => '0'
        ]);
        $concepto2->planConceptos()->sync([1]);

        $year=2026;
        $tipo=1;
        $recargo=0;
        for ($e=1; $e <=3 ; $e++) {
            for ($i=1; $i <=12; $i++) {
            if($i==1 && $year==2026){

            }else{
                $tipo=2;
                $recargo=1;
            }
            $concepto=Concepto::create([
            'name' => 2,
            'fecha_pago' => $year.'-'.$i.'-01',
            'monto' => '2000',
            'tipo' => $tipo,
            'recargo' => $recargo
            ]);

            $concepto->planConceptos()->sync([1]);
        }
        $year++;
        }



    }
}
